package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcMap;

/**
 * 地图统计Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcMapService 
{
    /**
     * 查询地图统计
     * 
     * @param id 地图统计主键
     * @return 地图统计
     */
    public TcMap selectTcMapById(Long id);

    /**
     * 查询地图统计列表
     * 
     * @param tcMap 地图统计
     * @return 地图统计集合
     */
    public List<TcMap> selectTcMapList(TcMap tcMap);

    /**
     * 新增地图统计
     * 
     * @param tcMap 地图统计
     * @return 结果
     */
    public int insertTcMap(TcMap tcMap);

    /**
     * 修改地图统计
     * 
     * @param tcMap 地图统计
     * @return 结果
     */
    public int updateTcMap(TcMap tcMap);

    /**
     * 批量删除地图统计
     * 
     * @param ids 需要删除的地图统计主键集合
     * @return 结果
     */
    public int deleteTcMapByIds(Long[] ids);

    /**
     * 删除地图统计信息
     * 
     * @param id 地图统计主键
     * @return 结果
     */
    public int deleteTcMapById(Long id);


    /**
     * 导入图统计信息
     *
     * @return 结果
     */
    public String importUser(List<TcMap> tcMapList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
